Together AI SDK (Python)
from together import Together
import os
client = Together(
api_key=os.environ.get("TOGETHER_API_KEY"),
)
checkpoints = client.fine_tuning.list_checkpoints(id="ft-id")
print(checkpoints)import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const checkpoints = await client.fineTuning.listCheckpoints("ft-id");
console.log(checkpoints);
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const checkpoints = await client.fineTuning.listCheckpoints("ft-id");
console.log(checkpoints);
curl "https://api.together.ai/v1/fine-tunes/ft-id/checkpoints" \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json"

{
"data": [
{
"step": 123,
"created_at": "<string>",
"path": "<string>",
"checkpoint_type": "<string>",
"object_id": "<string>",
"object_name": "<string>",
"object_revision_id": "<string>"
}
]
}Fine-tuning
List checkpoints
List the checkpoints for a single fine-tuning job.
GET
/
fine-tunes
/
{id}
/
checkpoints
Together AI SDK (Python)
from together import Together
import os
client = Together(
api_key=os.environ.get("TOGETHER_API_KEY"),
)
checkpoints = client.fine_tuning.list_checkpoints(id="ft-id")
print(checkpoints)import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const checkpoints = await client.fineTuning.listCheckpoints("ft-id");
console.log(checkpoints);
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const checkpoints = await client.fineTuning.listCheckpoints("ft-id");
console.log(checkpoints);
curl "https://api.together.ai/v1/fine-tunes/ft-id/checkpoints" \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json"

{
"data": [
{
"step": 123,
"created_at": "<string>",
"path": "<string>",
"checkpoint_type": "<string>",
"object_id": "<string>",
"object_name": "<string>",
"object_revision_id": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the fine-tune job to list checkpoints for
Response
200 - application/json
List of fine-tune checkpoints
Show child attributes
Show child attributes
Was this page helpful?
⌘I